You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@submarine.apache.org by GitBox <gi...@apache.org> on 2021/08/09 07:08:24 UTC

[GitHub] [submarine] pingsutw commented on a change in pull request #700: SUBMARINE-901. Tensorflow distributed training example with model management API

pingsutw commented on a change in pull request #700:
URL: https://github.com/apache/submarine/pull/700#discussion_r684956891



##########
File path: dev-support/examples/dp-tf/build.sh
##########
@@ -0,0 +1,44 @@
+#!/usr/bin/env bash
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements.  See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License.  You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+set -euxo pipefail
+
+SUBMARINE_VERSION=0.6.0-SNAPSHOT
+SUBMARINE_IMAGE_NAME="distribution:${SUBMARINE_VERSION}"

Review comment:
       ```suggestion
   SUBMARINE_IMAGE_NAME="apache/submarine:distribution-${SUBMARINE_VERSION}"
   ```
   You can update this [file](https://github.com/apache/submarine/blob/master/.github/workflows/deploy_docker_images.yml), GA will publish this image to Apache docker hub

##########
File path: dev-support/examples/dp-tf/distribution.py
##########
@@ -0,0 +1,109 @@
+"""
+ Licensed to the Apache Software Foundation (ASF) under one
+ or more contributor license agreements.  See the NOTICE file
+ distributed with this work for additional information
+ regarding copyright ownership.  The ASF licenses this file
+ to you under the Apache License, Version 2.0 (the
+ "License"); you may not use this file except in compliance
+ with the License.  You may obtain a copy of the License at
+ http://www.apache.org/licenses/LICENSE-2.0
+ Unless required by applicable law or agreed to in writing,
+ software distributed under the License is distributed on an
+ "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+ KIND, either express or implied.  See the License for the
+ specific language governing permissions and limitations
+ under the License.
+"""
+
+from submarine import ModelsClient
+import tensorflow_datasets as tfds
+import tensorflow as tf
+import os
+import tensorboard
+
+print(tf.__version__)
+
+datasets, info = tfds.load(name='mnist', with_info=True, as_supervised=True)
+mnist_train, mnist_test = datasets['train'], datasets['test']
+
+strategy = tf.distribute.MirroredStrategy()

Review comment:
       I think we should use the other distributed strategy. 
   > tf.distribute.MirroredStrategy supports synchronous distributed training on multiple GPUs on one machine.
   https://www.tensorflow.org/guide/distributed_training#TF_CONFIG
   So if you launch 4 workers, those workers will not communicate with each other. 
   

##########
File path: dev-support/examples/dp-tf/distribution.py
##########
@@ -0,0 +1,109 @@
+"""
+ Licensed to the Apache Software Foundation (ASF) under one
+ or more contributor license agreements.  See the NOTICE file
+ distributed with this work for additional information
+ regarding copyright ownership.  The ASF licenses this file
+ to you under the Apache License, Version 2.0 (the
+ "License"); you may not use this file except in compliance
+ with the License.  You may obtain a copy of the License at
+ http://www.apache.org/licenses/LICENSE-2.0
+ Unless required by applicable law or agreed to in writing,
+ software distributed under the License is distributed on an
+ "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+ KIND, either express or implied.  See the License for the
+ specific language governing permissions and limitations
+ under the License.
+"""
+
+from submarine import ModelsClient

Review comment:
       The name `mnist_keras_distributed.py` will be better, and the directory name could change to `mnist-tensorflow`. So maybe we could add `mnist_estimator_distributed.py` that uses `estimator` API or `mnist_distributed.py` that use native TensorFlow API in the future.




-- 
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.

To unsubscribe, e-mail: commits-unsubscribe@submarine.apache.org

For queries about this service, please contact Infrastructure at:
users@infra.apache.org